Test::Region Class Reference

Test for Region memory area More...

## Public Member Functions

| Region (void)
| Initialize test.
bool | run (void)
| Perform actual tests.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Static Protected Attributes

static const int | n_repeat = 16
| How often to repeat.
static const int | n_blocks = 64
| How many blocks to allocate.
static const size_t | size
| The size of a block.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for Region memory area

Definition at line 42 of file region.cpp.

## Constructor & Destructor Documentation

## Region()

Test::Region::Region | ( | void |  | ) |

inline

Initialize test.

Definition at line 53 of file region.cpp.

## Member Function Documentation

## run()

bool Test::Region::run | ( | void |  | ) |

inline virtual

Perform actual tests.

Implements Test::Base.

Definition at line 55 of file region.cpp.

## Member Data Documentation

## n_repeat

const int Test::Region::n_repeat = 16

static protected

How often to repeat.

Definition at line 45 of file region.cpp.

## n_blocks

const int Test::Region::n_blocks = 64

static protected

How many blocks to allocate.

Definition at line 47 of file region.cpp.

## size

const size_t Test::Region::size

static protected

Initial value:
=
Gecode::Kernel::MemoryConfig::region_area_size * 4
Gecode::Kernel::MemoryConfig::region_area_size
const size_t region_area_size
Size of region area.
Definition config.hpp:134

The size of a block.

Definition at line 49 of file region.cpp.

The documentation for this class was generated from the following file:

- test/region.cpp